<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<c:set var="multiCentre" value="${bookingComponent.multiCentre}"/>
<c:choose>
		<c:when test="${multiCentre eq true}">
		  <c:set var="url" value="${bookingComponent.breadCrumbTrail['CENTRESELECTION']}"/>
		</c:when>
		   <c:otherwise>
	     	<c:choose>
				<c:when test="${bookingComponent.nonPaymentData['isResponsiveHubAndSpoke'] == 'Y'}">
					<c:set var="url" value="${bookingComponent.breadCrumbTrail['HOLIDAY PACKAGE']}"/>
				</c:when>
				<c:otherwise>
					<c:set var="url" value="${bookingComponent.breadCrumbTrail['HOTEL']}"/>
				</c:otherwise>
			</c:choose>
		</c:otherwise>
</c:choose>
<c:set var="ddtermandcondition" value='<%=com.tui.uk.config.ConfReader.getConfEntry("tuithdirect.termsAndConditions","")%>'/>
<c:forEach var="depositComponent"
	items="${bookingComponent.depositComponents}" varStatus="depositSts">
	<c:if test="${depositSts.index == 0}">
	<c:choose>
    			<c:when test="${depositComponent.depositType == CONST_LOW_DEPOSIT}">
	<fmt:formatNumber var="outstandingBalanceDeposit"
    					value="${depositComponent.depositAmount.amount + depositComponent.outstandingBalance.amount - bookingInfo.calculatedDiscount.amount}"
		type="number" maxFractionDigits="2" minFractionDigits="2"
		pattern="#####.##" />
    			</c:when>
    			<c:when test="${depositComponent.depositType ==  CONST_DEPOSIT}">
    				<fmt:formatNumber var="outstandingBalanceDeposit"
    					value="${depositComponent.depositAmount.amount}"
    					type="number" maxFractionDigits="2" minFractionDigits="2"
    					pattern="#####.##" />
    			</c:when>
    			<c:otherwise></c:otherwise>
    		</c:choose>
	</c:if>
</c:forEach>

									<div class="component">
                                <c:set var="bookingConditions" value="${bookingInfo.bookingComponent.termsAndCondition}" />
					                <c:forEach var="links" items="${bookingInfo.bookingComponent.nonPaymentData}" varStatus="status">
                                        <c:if test="${links.key eq 'PrivacyPolicy'}">
                                            <c:set var="privacyPolicy" value="${links.value}" />

                                        </c:if>
                                        <c:if test="${links.key eq 'SpecialNeeds'}">
                                      <c:set var="specialNeeds" value="${links.value}" />
                                        </c:if>
                                    </c:forEach>
										<div class="section-heading bf-first">
											<h2 class="icon-v2 icon-TUI_Insurance dark-blue">
												<span class="tui-font">Terms &amp; Conditions</span>
											</h2>
										</div>
										<div class="term-conditions-details grey-med row tnc">
											<p class="marg-bottom-20">
												Please note that all members of your party must have valid passports and any applicable visas before travelling. Visit the <a href="JavaScript:newPopup('https://www.gov.uk/browse/abroad')" ;=""  class="size-15">Foreign Office website</a> for a visa and travel advice.
											</p>
											<c:if test="${not empty bookingComponent.flightSummary}">
											<p  class="marg-bottom-20 ddInfoText hide">If you have chosen to pay by direct debit and zero or low deposit is payable you will be still required to pay the full deposit of &pound;${outstandingBalanceDeposit} if either you cancel your holiday, cancel or fail to set up your Direct Debit, or we cancel due to non-payment.  In all circumstances our cancellation charges will apply.  There are changes to our booking conditions for customers who pay by direct debit, please <a href="JavaScript:newPopup('${ddtermandcondition}');" class="size-15">click</a> here for detail
											</p>                                           
											<p>
												If you've got <a href="JavaScript:newPopup('${specialNeeds}');" class="size-15">special requirements</a>, please call us on <%=com.tui.uk.config.ConfReader.getConfEntry("tAndC.call.value", "")%> before booking.
											</p>
											<p class="marg-bottom-20">
												Please see the <a href="JavaScript:newPopup('http://www.thomson.co.uk/editorial/legal/montreal-convention.html');">Air Passenger Notice</a> for a summary of the liability rules applied by community air carriers, as required by community legislation and the Montreal Convention.
											</p>
											<p class="marg-bottom-20">
												This booking is authorised under the ATOL licence of TUI UK Limited, ATOL 2524, and is protected under the ATOL scheme, as set out in the ATOL certificate to be supplied.
											</p>
											 </c:if>

											<!-- Note: no shadow at the bottom of this component, when it contains a link -->
											<div class="select-block bg-light-blue b lowercase size-15 grey-dark more-pad-left marg-top-20">
												<!-- Note for js: span.hit-area is clickable -->
												<input hidden="true" type="checkbox" style="display:none;" name="agreeTermAndCondition" id="tourOperatorTermsAccepted" gfv_required="required" value="false" chkit="yes" >
												<span class="hit-area">

													<span class="radio check confirm"></span>
												</span>
												<span class="terms-text">
												I have read and accept the <a href="JavaScript:newPopup('${bookingConditions.relativeTAndCUrl}')">booking conditions</a><span class="ddInfoText hide">, <a href="JavaScript:newPopup('${ddtermandcondition}');">Direct Debit terms</a> </span> and important information.</span>
											</div>
										</div>
											<!-- Data protection notice -->



	</div>

		<div class="modal in" style="display:none" id = "sessionTimeOut">
		<div class="window mini auto-height">
			<div class="modal-content no-radius">
					<span class="timeout-close-btn" >
						<a href="${url}" class="icon-v2 icon-TUI_Close timeout-close-btnIcon"></a>
					</span>
				<h2 class="time-out-title">sorry, this page has timed out.</h2>
				<div class="timeout-text">
					<p class="grey-med marg-bottom-15">
						Unfortunately, this page has timed out due to security reasons. Don't worry, we're not going to make you start over again, but we do need you to re-enter your details on this page. If you don't want to continue you can go to
							<a href="#" onclick="homepage()">homepage</a>.
					</p>
				</div>
				<div class="back-to-home">
			        <c:choose>
					<c:when test="${multiCentre eq true}">
							<a href="${url}" class="book-flow button large cta">Back to holiday</a>
					</c:when>
					<c:otherwise>
							<a href="${url}" class="book-flow button large cta">Back to Booking</a>
					</c:otherwise>
			        </c:choose>
				</div>
			</div>
		</div>
		</div>
		<div class="modal in" style="display:none" id = "sessionTime">
		<div class="window mini auto-height">

				<div class="page-timeout-img-content">
					<a class="page-timeout-close-btn" href="#" ><span onClick="closesessionTime()" class="icon-v2 icon-TUI_Close page-timeout-close-btnIcon"></span></a>
					<div class="page-timeout-section">
						<p class="page-timeout-clock">
							<span class="icon-v2 icon-TUI_Clock page-timeout-close-btnIcon"></span>
						</p>
						<p class="page-timeout-sec">timeout in</p>
						<p id="sessiontimeDisplay" class="page-timeout-min">10 MINS</p>
					</div>
				</div>
			<div class="page-timeout-description">
				<h2 class="page-time-out-title">are you still there?</h2>
				<div class="page-timeout-text">
					<p class="grey-med">
						This page will be timing out for security reasons. Let us know that you're still here, otherwise you'll have to re-enter your details.
					</p>
				</div>
				<div class="page-timeout-back-to-home">
						<a href="#" class="book-flow button large cta" onClick="activestate()">yes i'm still here</a>
			</div>
			</div>
			</div>
	</div>

	<div class="book-flow modal" id="loader-screens">
			<div class="window">
			<div class="sk-fading-circle">
  <div class="sk-circle1 sk-circle"></div>
  <div class="sk-circle2 sk-circle"></div>
  <div class="sk-circle3 sk-circle"></div>
  <div class="sk-circle4 sk-circle"></div>
  <div class="sk-circle5 sk-circle"></div>
  <div class="sk-circle6 sk-circle"></div>
  <div class="sk-circle7 sk-circle"></div>
  <div class="sk-circle8 sk-circle"></div>
  <div class="sk-circle9 sk-circle"></div>
  <div class="sk-circle10 sk-circle"></div>
  <div class="sk-circle11 sk-circle"></div>
  <div class="sk-circle12 sk-circle"></div>
</div>
			</div>
		</div>